Subject: bug#48574: Derivations for active jobsets are missing

From: "Leo Famulari" <[email-masked]>
Date: Fri, 21 May 2021 15:59:35 -0400

I noticed that many jobs from the 'ungrafting' jobset were failing due
to errors like this:

------
substitute: 
substitute: [Kupdating substitutes from 'http://141.80.167.131:5557'...   0.0%
substitute: [Kupdating substitutes from 'http://141.80.167.131:5557'... 100.0%
substitute: 
substitute: [Kupdating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: [Kupdating substitutes from 'https://ci.guix.gnu.org'... 100.0%
cannot build missing derivation ?/gnu/store/mfyjaw81dhizfm4zkkx75h28vfjy0qq4-python-hacking-4.1.0.drv?
------

https://ci.guix.gnu.org/build/375186/details

I logged in to berlin.gnu.org and confirmed that the derivation was
missing.

I think we need to make these "active" of registered derivations into GC roots.